28/10/2008 - 10:29 von Gerhard Haslberger | Report spam
Gerade bin ich dabei einen neuen server für meine alte HP aufzusetzen
und hab bemerkt das die php-scripte nicht tun
Mit ein paar tests ist mir aufgefallen das:

<?php geht
<? aber nicht

Kann man das irgendwo zurückstellen das <? auch tut? sonst müsste ich
alle alten Scripte durchsuchen und àndern
Auf meinem alten Server war noch php4, evtl hat das damit zu tun?

php 5.2.6
apache 2.2.4
 

Lesen sie die antworten

#1 Joerg Behrens
28/10/2008 - 10:33 | Warnen spam
Gerhard Haslberger schrieb:
Gerade bin ich dabei einen neuen server für meine alte HP aufzusetzen
und hab bemerkt das die php-scripte nicht tun
Mit ein paar tests ist mir aufgefallen das:

<?php geht
<? aber nicht

Kann man das irgendwo zurückstellen das <? auch tut? sonst müsste ich
alle alten Scripte durchsuchen und àndern



Das koennte man in der php.ini wieder anstellen (short_open_tag), aber
normal will man die nicht benutzen. Stelle Scripte also lieber um.

Auf meinem alten Server war noch php4, evtl hat das damit zu tun?



Nur indirekt weil sich evtl. die Voreinstellung geaendert hat oder aber
dein Hoster, Distribution hats geaendert.

Gruss
Joerg

TakeNet GmbH, Geschaeftsfuehrer Wolfgang Meier
97080 Wuerzburg Tel: +49 931 903-2243
Alfred-Nobel-Straße 20 Fax: +49 931 903-3025
HRB Wuerzburg 6940 http://www.takenet.de

Ähnliche fragen